package net.sf.corn.httpclient;

import java.net.HttpCookie;
import java.util.List;
import java.util.Map;

/**
 * Represents http response
 * 
 * @author Serhat Dirik
 */
public class HttpResponse {

	private boolean isError;
	private int 	code;
	private String  message;
	private String  data;
	private List<HttpCookie> cookies;
	private Map<String, List<String>> headerFields = null;

	public HttpResponse(int responseCode, 
			String responseData,
			String responseMessage,
			List<HttpCookie> cookies, 
			Map<String, List<String>> headerFields) {
		this.isError = false;
		this.code = responseCode;
		this.data = responseData;
		this.message = responseMessage;
		this.cookies = cookies;
		this.headerFields = headerFields;
	}

	public HttpResponse(boolean isError, int responseCode, 
			String responseData,
			String responseMessage,
			List<HttpCookie> cookies, 
			Map<String, List<String>> headerFields) {
		this.isError = isError;
		this.code = responseCode;
		this.data = responseData;
		this.message = responseMessage;
		this.cookies = cookies;
		this.headerFields = headerFields;
	}
	
 


	public boolean hasError() {
		return isError;
	}

	public int getCode() {
		return code;
	}

	 
	public String getData() {
		return data;
	}
 

	public List<HttpCookie> getCookies() {
		return cookies;
	}
 

	public String getMessage() {
		return message;
	}
 
	public Map<String, List<String>> getHeaderFields() {
		return headerFields;
	}
 

	@Override
	public String toString() {
		return new StringBuilder().append("hasError:").append(isError).append(",code:").append(code).append(",message:").append(message).
				append(",data:\n").append(data).toString();
	}
}
